@import url("../tokens.css");

.recruit-faq-page {

    .faq-header {
        border-bottom: unset;
        padding-bottom: 8px;
        margin-bottom: 20px;
        padding-left: 1px;
        position: relative;
        background: unset;
        backdrop-filter: unset;
    }

    .title-header img {
        position: absolute;
        bottom: 5px;
    }

    .faq-header__title {
        color: var(--c-primary);
        font-size: 40px;
        font-weight: bold;
        margin: 0;
        text-align: left;
    }

    .faq-content {
        padding: 0 5rem;
        padding-bottom: 4rem;
    }

    .faq-top-img {
        display: flex;
        gap: 30px;
        justify-content: center;
        align-items: center;
    }

    .content-faq-top {
        background-image: url("/img/recruit/graduate/faq/faq-page-top-back.png");
        background-repeat: no-repeat;
        background-position: top;
        background-size: 100%;
    }

    .faq-icon {
        width: 200px;
        filter: drop-shadow(10px 10px 0px #f6f4e1);
    }

    .speech-bubble img {
        width: 600px;
    }

    .faq-top-text {
        text-align: left;
        margin: 4rem 2rem;
    }

    .faq-accordion {
        max-width: 100%;
        border: 2px solid var(--c-primary);
        border-radius: 5px;
        margin-bottom: 30px;
    }

    .faq-accordion:not([open]) {
        margin-bottom: 40px;
    }

    .faq-accordion summary {
        display: flex;
        justify-content: space-between;
        align-items: center;
        position: relative;
        padding: .8em 1.5em;
        background-color: var(--c-primary);
        color: #fff;
        cursor: pointer;
        font-size: 20px;
    }

    .faq-accordion summary::after {
        transform: translateY(-25%) rotate(45deg);
        width: 7px;
        height: 7px;
        margin-left: 10px;
        border-bottom: 3px solid #fff;
        border-right: 3px solid #fff;
        content: '';
        transition: transform .3s;
    }

    .faq-accordion[open] summary::after {
        transform: rotate(225deg);
    }

    .answer-circle {
        width: 50px;
        height: 50px;
        background-color: #ffa587;
        border-radius: 50%;
        display: flex;
        justify-content: center;
        align-items: flex-start;
        color: white;
        font-size: 28px;
        font-weight: bold;
        gap: 2rem;
        margin: 0 50px 0 30px;
        flex-shrink: 0;
    }

    .faq-answer {
        padding: 20px;
    }

    .faq-answer__block {
        display: flex;
        align-items: center;
        height: auto;
    }

    .faq-answer__block p {
        font-size: 18px;
        padding: 10px 50px 10px 10px;
        padding-left: 0;
        text-align: left;
    }

    .faq-answer__block a {
        text-decoration: underline;
        color: var(--c-primary);
    }

    .faq-answer__block a:hover {
        text-decoration: none;
        color: var(--c-primary);
    }

    .faq-answer__summary p {
        padding: 10px 50px 30px 115px;
    }

    .faq-answer__summary ul {
        text-align: left;
        padding: 0 30px 20px 130px;
    }

    .br-none {
        display: none;
    }

    /* PC_1024px --- tablet
================================================*/

    @media screen and (max-width: 1024px) {

        /* anchor-link ============================== */

        .faq-answer__summary ul {
            padding: 20px 20px 20px 130px;
        }
    }

    /* SP
================================================*/

    @media screen and (max-width: 767px) {

        .faq-content {
            padding: 0 0.5rem;
            margin-top: 20px;
        }

        .faq-header__title {
            font-size: 25px;
        }

        .faq-header {
            position: relative;
            height: auto;
            margin: 0;
        }

        .title-header {
            margin: 0;
        }

        .title-header img {
            position: absolute;
            bottom: 2px;
            margin-bottom: 10px;
        }

        .faq-accordion summary {
            padding: .1em .5em;
            font-size: 15px;
            height: 50px;
            text-align: left;
        }

        .faq-accordion:not([open]) {
            margin-bottom: 20px;
        }

        .faq-answer {
            padding: 10px;
        }

        .faq-answer__summary p {
            padding: 10px 1rem 20px 1rem;
        }

        .answer-circle {
            width: 30px;
            height: 30px;
            font-size: 20px;
            gap: 1rem;
            margin: 0 1rem 0 0.5rem;
            align-items: end;
        }

        .faq-answer__block {
            display: flex;
            align-items: center;
            height: auto;
        }

        .faq-answer__block p {
            font-size: 15px;
            padding: 10px 20px 10px 10px;
            padding-left: 0;
            text-align: left;
        }

        .faq-answer__summary p {
            padding: 10px 20px 10px 20px;
        }

        .button-container {
            flex-direction: column;
        }

        .button-group {
            padding: 1rem;
        }

        button a {
            padding: 20px 50px;
        }

        .sp-no-display {
            display: none;
        }

        .faq-top-img {
            flex-direction: column;
        }

        .faq-top-text {
            margin: 2rem 0rem;
        }

        .faq-items__list {
            grid-template-columns: 1fr;
            gap: 2rem;
            padding: 3rem 0;
        }

        .faq-items__list li {
            padding: 20px;
        }

        .item__img-back {
            width: 40%;
        }

        .faq-answer__summary ul {
            padding: 10px 20px 10px 55px;
            font-size: 15px;
        }

        .br-none {
            display: block;
        }

    }
}
